# UA Stress Test

The ua-stress-test program ca be used to test the behavior of an OPC UA server under heavy load. It opens a configurable number of OPC UA connections to the server and sends a configurable number of read requests per second to the server.

## Pulling the repo and all submodules

This repo contains multiple submodules. To get everything you need, clone this repo to your computer and get the required submodules:

```shell
git clone https://intra.acdp.at/gogs/opc-ua/ua-stress-test.git
git submodule update --init --recursive
```

## Building locally

```shell
sudo apt install libconfig-dev
mkdir build
cd build
cmake ..
make
```

